org.apache.poi.sl.draw.binding

## Class CTHyperlink

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTHyperlink

-     public class CTHyperlink
      extends java.lang.Object

  Java class for CT_Hyperlink complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Hyperlink">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="snd" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_EmbeddedWAVAudioFile" minOccurs="0"/>
               <element name="extLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_OfficeArtExtensionList" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://schemas.openxmlformats.org/officeDocument/2006/relationships}id"/>
             <attribute name="invalidUrl" type="{http://www.w3.org/2001/XMLSchema}string" default="" />
             <attribute name="action" type="{http://www.w3.org/2001/XMLSchema}string" default="" />
             <attribute name="tgtFrame" type="{http://www.w3.org/2001/XMLSchema}string" default="" />
             <attribute name="tooltip" type="{http://www.w3.org/2001/XMLSchema}string" default="" />
             <attribute name="history" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             <attribute name="highlightClick" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
             <attribute name="endSnd" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `action`
    `protected java.lang.Boolean` | `endSnd`
    `protected CTOfficeArtExtensionList` | `extLst`
    `protected java.lang.Boolean` | `highlightClick`
    `protected java.lang.Boolean` | `history`
    `protected java.lang.String` | `id`
    `protected java.lang.String` | `invalidUrl`
    `protected CTEmbeddedWAVAudioFile` | `snd`
    `protected java.lang.String` | `tgtFrame`
    `protected java.lang.String` | `tooltip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTHyperlink()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Gets the value of the action property.
    `CTOfficeArtExtensionList` | `getExtLst()` Gets the value of the extLst property.
    `java.lang.String` | `getId()` Drawing Object Hyperlink Target
    `java.lang.String` | `getInvalidUrl()` Gets the value of the invalidUrl property.
    `CTEmbeddedWAVAudioFile` | `getSnd()` Gets the value of the snd property.
    `java.lang.String` | `getTgtFrame()` Gets the value of the tgtFrame property.
    `java.lang.String` | `getTooltip()` Gets the value of the tooltip property.
    `boolean` | `isEndSnd()` Gets the value of the endSnd property.
    `boolean` | `isHighlightClick()` Gets the value of the highlightClick property.
    `boolean` | `isHistory()` Gets the value of the history property.
    `boolean` | `isSetAction()`
    `boolean` | `isSetEndSnd()`
    `boolean` | `isSetExtLst()`
    `boolean` | `isSetHighlightClick()`
    `boolean` | `isSetHistory()`
    `boolean` | `isSetId()`
    `boolean` | `isSetInvalidUrl()`
    `boolean` | `isSetSnd()`
    `boolean` | `isSetTgtFrame()`
    `boolean` | `isSetTooltip()`
    `void` | `setAction(java.lang.String value)` Sets the value of the action property.
    `void` | `setEndSnd(boolean value)` Sets the value of the endSnd property.
    `void` | `setExtLst(CTOfficeArtExtensionList value)` Sets the value of the extLst property.
    `void` | `setHighlightClick(boolean value)` Sets the value of the highlightClick property.
    `void` | `setHistory(boolean value)` Sets the value of the history property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setInvalidUrl(java.lang.String value)` Sets the value of the invalidUrl property.
    `void` | `setSnd(CTEmbeddedWAVAudioFile value)` Sets the value of the snd property.
    `void` | `setTgtFrame(java.lang.String value)` Sets the value of the tgtFrame property.
    `void` | `setTooltip(java.lang.String value)` Sets the value of the tooltip property.
    `void` | `unsetEndSnd()`
    `void` | `unsetHighlightClick()`
    `void` | `unsetHistory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### snd

          protected CTEmbeddedWAVAudioFile snd

    - #### extLst

          protected CTOfficeArtExtensionList extLst

    - #### id

          protected java.lang.String id

    - #### invalidUrl

          protected java.lang.String invalidUrl

    - #### action

          protected java.lang.String action

    - #### tgtFrame

          protected java.lang.String tgtFrame

    - #### tooltip

          protected java.lang.String tooltip

    - #### history

          protected java.lang.Boolean history

    - #### highlightClick

          protected java.lang.Boolean highlightClick

    - #### endSnd

          protected java.lang.Boolean endSnd

  - ### Constructor Detail

    - #### CTHyperlink

          public CTHyperlink()

  - ### Method Detail

    - #### getSnd

          public CTEmbeddedWAVAudioFile getSnd()

      Gets the value of the snd property.
      Returns:
        possible object is `CTEmbeddedWAVAudioFile`

    - #### setSnd

          public void setSnd(CTEmbeddedWAVAudioFile value)

      Sets the value of the snd property.
      Parameters:
        `value` - allowed object is `CTEmbeddedWAVAudioFile`

    - #### isSetSnd

          public boolean isSetSnd()

    - #### getExtLst

          public CTOfficeArtExtensionList getExtLst()

      Gets the value of the extLst property.
      Returns:
        possible object is `CTOfficeArtExtensionList`

    - #### setExtLst

          public void setExtLst(CTOfficeArtExtensionList value)

      Sets the value of the extLst property.
      Parameters:
        `value` - allowed object is `CTOfficeArtExtensionList`

    - #### isSetExtLst

          public boolean isSetExtLst()

    - #### getId

          public java.lang.String getId()

      Drawing Object Hyperlink Target
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetId

          public boolean isSetId()

    - #### getInvalidUrl

          public java.lang.String getInvalidUrl()

      Gets the value of the invalidUrl property.
      Returns:
        possible object is `String`

    - #### setInvalidUrl

          public void setInvalidUrl(java.lang.String value)

      Sets the value of the invalidUrl property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetInvalidUrl

          public boolean isSetInvalidUrl()

    - #### getAction

          public java.lang.String getAction()

      Gets the value of the action property.
      Returns:
        possible object is `String`

    - #### setAction

          public void setAction(java.lang.String value)

      Sets the value of the action property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetAction

          public boolean isSetAction()

    - #### getTgtFrame

          public java.lang.String getTgtFrame()

      Gets the value of the tgtFrame property.
      Returns:
        possible object is `String`

    - #### setTgtFrame

          public void setTgtFrame(java.lang.String value)

      Sets the value of the tgtFrame property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetTgtFrame

          public boolean isSetTgtFrame()

    - #### getTooltip

          public java.lang.String getTooltip()

      Gets the value of the tooltip property.
      Returns:
        possible object is `String`

    - #### setTooltip

          public void setTooltip(java.lang.String value)

      Sets the value of the tooltip property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetTooltip

          public boolean isSetTooltip()

    - #### isHistory

          public boolean isHistory()

      Gets the value of the history property.
      Returns:
        possible object is `Boolean`

    - #### setHistory

          public void setHistory(boolean value)

      Sets the value of the history property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetHistory

          public boolean isSetHistory()

    - #### unsetHistory

          public void unsetHistory()

    - #### isHighlightClick

          public boolean isHighlightClick()

      Gets the value of the highlightClick property.
      Returns:
        possible object is `Boolean`

    - #### setHighlightClick

          public void setHighlightClick(boolean value)

      Sets the value of the highlightClick property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetHighlightClick

          public boolean isSetHighlightClick()

    - #### unsetHighlightClick

          public void unsetHighlightClick()

    - #### isEndSnd

          public boolean isEndSnd()

      Gets the value of the endSnd property.
      Returns:
        possible object is `Boolean`

    - #### setEndSnd

          public void setEndSnd(boolean value)

      Sets the value of the endSnd property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetEndSnd

          public boolean isSetEndSnd()

    - #### unsetEndSnd

          public void unsetEndSnd()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.